Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
pipeline-executions
/
{pipelineExecutionId}
Pipeline termination
curl --request PATCH \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/pipeline-executions/{pipelineExecutionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "forceUpdate": true,
  "status": "CANCELLED"
}
'
{
  "pipelineExecutionId": "1398aa31-af57-4a6a-9752-27c2e8556c3f"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

The UUID of the pipeline's project

pipelineExecutionId
string<uuid>
required

ID of the pipeline execution, as returned when executing a pipeline

Body

application/json
forceUpdate
boolean
required

If true, the execution will be forcefully terminated

status
enum<string>
required

Cancel pipeline execution by updating status to CANCELLED

Available options:
CANCELLED
Example:

"CANCELLED"

Response

Pipeline execution cancelled (or hard cancelled) successfully

pipelineExecutionId
string<uuid>

Identifier of executing pipeline

Example:

"1398aa31-af57-4a6a-9752-27c2e8556c3f"